all:
	nvcc -c DFT_GPU_Kernel.cu -I /usr/local/cuda/include/ -I ~/NVIDIA_GPU_Computing_SDK/C/common/inc/ -L /usr/local/cuda/lib/ -lcuda -lcudart
	g++ `pkg-config --cflags --libs opencv` -I /usr/local/cuda/include/ -I ~/NVIDIA_GPU_Computing_SDK/C/common/inc/ -L /usr/local/cuda/lib/ -lcuda -lcudart DFT_GPU_Kernel.o DFT_GPU.cpp -o DFT_GPU
